<?php 
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');

$com_id=limpiar($_POST['com_id']);
$referencia=limpiar($_POST['art_referencia']);
$barras=limpiar($_POST['art_barras']);
$art_ubicacion=limpiar($_POST['art_ubicacion']);
$categorias=limpiar($_POST['categorias']);
$nombre=mb_strtoupper(limpiar($_POST['nombre']));
$art_iva=limpiar($_POST['art_iva']);
$cantidad=limpiar($_POST['cantidad']);

$registros=mysqli_query($con,"UPDATE combos Set 
                              com_referencia='$referencia',
                              com_barras='$barras',
                              com_nombre='$nombre',
                              com_iva='$art_iva',
                              familias_fam_id='$categorias',
                              com_ubicacion='$art_ubicacion',
                              com_cantidad='$cantidad'
                              Where com_id='$com_id'") or die(mysqli_error($con));


if(!empty($_POST['opcion1']))
{
    $number1 = count($_POST["opcion1"]); 
    if($number1 > 0)  
    {  
        for($i=0; $i<$number1; $i++)  
        {  
            if(trim($_POST["opcion1"][$i] != ''))
            $dato1=mb_strtoupper($_POST["opcion1"][$i]);  
            {  
                $sql ="INSERT INTO sabores_combos (sab_nombre,combo_id,empresa) VALUES('".$dato1."','$com_id','$empresa')";  
                mysqli_query($con, $sql);

            }  
        } 
    }                      
}
 
$nameimagen = $_FILES['imagen']['name'];
$tmpimagen = $_FILES['imagen']['tmp_name'];
$extimagen = pathinfo($nameimagen);
$ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff","JPG","PNG","JPEG","JFIF","GIF","TIF","TIFF");
$urlnueva = "../img/combos/".$com_id.".jpg";

if(is_uploaded_file($tmpimagen))
{
    if(array_search($extimagen['extension'],$ext))
       {
            copy($tmpimagen, $urlnueva);
       }
    else 
       {
            echo '<div class="alert alert-danger alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato  jpg.
            </div>';
       }
}   

    echo '<div class="alert alert-success alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
              <strong>Combo Modificado correctamente!</strong> 
      </div>'; 
?>